Bug 434031 - liborigin failed massrebuild attempt for GCC 4.3
liborigin failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liborigin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:57 EST by Jesse Keating
Modified: 2013-01-09 21:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 13:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:57:32 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=437313
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-23 15:17:48 EST
Amongst a bunch of compiler warning, these are to be found:

/builddir/build/BUILD/liborigin-20071119/OPJFile.cpp:349: error: 'strtok' was
not declared in this scope
/builddir/build/BUILD/liborigin-20071119/OPJFile.cpp:352: error: 'strcat' was
not declared in this scope
/builddir/build/BUILD/liborigin-20071119/OPJFile.cpp:354: error: 'strcpy' was
not declared in this scope

http://koji.fedoraproject.org/koji/getfile?taskID=439362&name=build.log
Comment 2 Chitlesh GOORAH 2008-04-26 13:09:07 EDT
Fixed and build successfully.

Note You need to log in before you can comment on or make changes to this bug.